> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bindbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connectors

> Returns a list of HRIS connectors

## Overview

This is a demo of how to use the Connectors API to get all connectors for specific category. This guide will help you understand the endpoints available and how to utilize them effectively.

<Tip>
  You can also access connectors for different categories using
  `https://api.bindbee.dev/api/{category}/v1/connectors`. To retrieve ATS
  connectors, use: `https://api.bindbee.dev/api/ats/v1/connectors` and to
  retrieve LMS connectors, use: `https://api.bindbee.dev/api/lms/v1/connectors`
</Tip>


## OpenAPI

````yaml get /api/hris/v1/connectors
openapi: 3.1.0
info:
  title: Bindbee APIs
  version: 0.1.0
servers:
  - url: https://api.bindbee.dev
  - url: https://api-eu.bindbee.dev
security: []
paths:
  /api/hris/v1/connectors:
    get:
      tags:
        - Connector
      summary: Get Hris Connectors
      description: Returns a list of HRIS connectors
      operationId: get_hris_connectors_api_hris_v1_connectors_get
      parameters:
        - name: connector_token
          in: query
          required: false
          schema:
            type: string
            description: The connector token for the connector
            examples:
              - i5kqe8bSedEdPLX9pHhFojKdo7Uzvue0f7I4NVhaDfV0GTxF0uAgwa_COb3zZU3T
            title: Connector Token
          description: The connector token for the connector
        - name: is_active
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter connectors by active status
            examples:
              - true
            title: Is Active
          description: Filter connectors by active status
        - name: origin_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter connectors by end user origin ID
            examples:
              - user_123
            title: Origin Id
          description: Filter connectors by end user origin ID
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            description: Number of results to return per page. Maximum size is 200.
            default: 50
            title: Page Size
          description: Number of results to return per page. Maximum size is 200.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            description: The pagination cursor value.
            title: Cursor
          description: The pagination cursor value.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_ConnectorResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_ConnectorResponse_:
      properties:
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
          description: Cursor value to fetch next set of items
          examples:
            - MDE4YjE4ZWYtYzk5Yy03YTg2LTk5NDYtN2I3YzlkNTQzM2U1
        page_size:
          type: integer
          title: Page Size
          description: Indicates the count of items in the response
          examples:
            - 50
        items:
          items:
            $ref: '#/components/schemas/ConnectorResponse'
          type: array
          title: Items
          description: List of items in the current response
          examples:
            - {}
      type: object
      required:
        - cursor
        - page_size
        - items
      title: PaginatedResponse[ConnectorResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ConnectorResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Id of the connector
          examples:
            - 018b18ef-c487-703c-afd9-0ca478ccd9d6
        is_active:
          type: boolean
          title: Is Active
          description: Flag to indicate if connector is active or not
          examples:
            - true
        status:
          $ref: '#/components/schemas/ConnectorStatus'
          description: Link status of the connector
          examples:
            - COMPLETE
        integration_slug:
          type: string
          title: Integration Slug
          description: Integration slug for the particular connector
          examples:
            - ukg-pro
        end_user:
          type: string
          title: End User
          description: >-
            Name of the end user which is used when creating corresponding
            connector
          examples:
            - Acme Corp.
        origin_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Origin Id
          description: Origin ID of the end user
          examples:
            - user_123
        sync_status:
          anyOf:
            - $ref: '#/components/schemas/JobDisplayStatus'
            - type: 'null'
          description: Latest Sync status of the connector
          examples:
            - Done
        last_sync_start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Sync Start Time
          description: This time represent last sync start time
          examples:
            - '2024-10-16T00:00:00Z'
        next_sync_start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Next Sync Start Time
          description: This time represent next sync start time
          examples:
            - '2024-10-17T00:00:00Z'
        connector_token:
          type: string
          title: Connector Token
          description: Connector token for this connector
          examples:
            - LJITuCJFqpGXeKfZtn4I9ZcahzA-lkCSO6uhDKj5xw9EzPL96qk7ObgIHQQ1GnxH
        category:
          $ref: '#/components/schemas/Category'
          description: Category of the connector
          examples:
            - HRIS
        relink_needed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Relink Needed At
          description: Time at which credentials were deemed invalid
          examples:
            - '2024-10-17T00:00:00Z'
        is_test_connector:
          type: boolean
          title: Is Test Connector
          description: Flag indicating if connector is test connector or not
          examples:
            - false
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
          description: Indicated time at which connector has been linked properly
          examples:
            - '2024-10-17T00:00:00Z'
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Connector creation time
          examples:
            - '2024-10-17T00:00:00Z'
      type: object
      required:
        - id
        - is_active
        - status
        - integration_slug
        - end_user
        - origin_id
        - sync_status
        - last_sync_start_time
        - next_sync_start_time
        - connector_token
        - category
        - relink_needed_at
        - is_test_connector
        - completed_at
        - created_at
      title: ConnectorResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ConnectorStatus:
      type: string
      enum:
        - COMPLETE
        - INCOMPLETE
        - RELINK_NEEDED
      title: ConnectorStatus
    JobDisplayStatus:
      type: string
      enum:
        - Syncing
        - Done
        - Failed
      title: JobDisplayStatus
    Category:
      type: string
      enum:
        - HRIS
        - ATS
        - LMS
      title: Category
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````